Skip to main content
GET
Get payments

Authorizations

x-api-key
string
header
default:<your-api-key>
required
organisation
string
header
default:<your-organisation-id>
required

Query Parameters

cursor
string | null

The cursor indicating a unique set of results - this should be auto generated and you get it from the next and previous fields of the response

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

limit
integer | null

The number of results to return - defaults to 10

Example:

10

search
string | null
order
string | null
Example:

"order=created_at"

sort_key
string | null
Example:

"sort_key=id"

sort_type
string | null
Example:

"sort_key=asc"

id
string<uuid> | null
id__in
string | null
id__isnull
boolean | null
customer_id
string<uuid> | null
customer_id__in
string | null
customer_id__isnull
boolean | null
connector_id
string<uuid> | null
connector_id__in
string | null
connector_id__isnull
boolean | null
external_id
string | null
external_id__ilike
string | null
external_id__like
string | null
external_id__in
string | null
external_id__isnull
boolean | null
payment_method
enum<string> | null
Available options:
card,
cash,
check,
charge_back,
bank_transfer,
direct_debit,
amazon_payments,
paypal_express_checkout,
upi,
netbanking_emandates,
other,
credits,
ach_credit_transfer
payment_method__in
string | null
payment_method__isnull
boolean | null
type
string | null
type__in
string | null
type__isnull
boolean | null
amount
number | null
amount__neq
number | null
amount__gt
number | null
amount__gte
number | null
amount__lt
number | null
amount__lte
number | null
amount__isnull
boolean | null
amount__in
string | null
amount_refunded
number | null
amount_refunded__neq
number | null
amount_refunded__gt
number | null
amount_refunded__gte
number | null
amount_refunded__lt
number | null
amount_refunded__lte
number | null
amount_refunded__isnull
boolean | null
amount_refunded__in
string | null
currency_code
string | null
currency_code__ilike
string | null
currency_code__like
string | null
currency_code__in
string | null
currency_code__isnull
boolean | null
receipt_number
string | null
receipt_number__ilike
string | null
receipt_number__like
string | null
receipt_number__in
string | null
receipt_number__isnull
boolean | null
status
enum<string> | null
Available options:
in_progress,
requires_action,
pending_charge,
authorized,
created,
success,
voided,
failed,
canceled,
refunded,
partially_refunded,
other
status__in
string | null
status__isnull
boolean | null
autocharge
boolean | null
autocharge__isnull
boolean | null
parent_id
string<uuid> | null
parent_id__in
string | null
parent_id__isnull
boolean | null
timestamp
number | null
timestamp__neq
number | null
timestamp__gt
number | null
timestamp__gte
number | null
timestamp__lt
number | null
timestamp__lte
number | null
timestamp__isnull
boolean | null
timestamp__in
string | null
created_at
string<date-time> | null
created_at__neq
string<date-time> | null
created_at__gt
string<date-time> | null
created_at__gte
string<date-time> | null
created_at__lt
string<date-time> | null
created_at__lte
string<date-time> | null
created_at__isnull
boolean | null
created_at__in
string | null
invoice__id
string<uuid> | null
invoice__id__in
string | null
invoice__id__isnull
boolean | null
invoice__bill_for_date
string<date-time> | null
invoice__bill_for_date__neq
string<date-time> | null
invoice__bill_for_date__gt
string<date-time> | null
invoice__bill_for_date__gte
string<date-time> | null
invoice__bill_for_date__lt
string<date-time> | null
invoice__bill_for_date__lte
string<date-time> | null
invoice__bill_for_date__isnull
boolean | null
invoice__bill_for_date__in
string | null
invoice__approved_at
string<date-time> | null
invoice__approved_at__neq
string<date-time> | null
invoice__approved_at__gt
string<date-time> | null
invoice__approved_at__gte
string<date-time> | null
invoice__approved_at__lt
string<date-time> | null
invoice__approved_at__lte
string<date-time> | null
invoice__approved_at__isnull
boolean | null
invoice__approved_at__in
string | null
customer__business_entity_id
string<uuid> | null
customer__business_entity_id__in
string | null
customer__business_entity_id__isnull
boolean | null

Response

Successful Response

results
PaymentResponseSchema · object[]
required

The results for the current page

next
string | null

The cursor for the next page of results

Example:

"V2VsbCBhcmV1IGN1cmlvdxM="

previous
string | null

The cursor for the previous page of results

Example:

"GmBsbCBhcmV1IGN1cmlvdxM="

total_count
integer | null

The total count of rows